{lib, ...}: {
  imports = [];

  fileSystems."/" = {
    device = "gha-root";
    fsType = "tmpfs";
    options = ["size=1G" "mode=755"];
  };
  fileSystems."/persist" = {
    device = "/dev/disk/by-uuid/c5f16a0f-da17-410c-8f3b-af8617a87e51"; #TODO
    fsType = "btrfs";
    options = ["subvol=persist"];
    neededForBoot = true;
  };
  fileSystems."/boot" = {
    device = "/dev/disk/by-uuid/D35C-0683"; #TODO
    fsType = "ext4";
  };
  fileSystems."/nix" = {
    device = "/dev/disk/by-uuid/c5f16a0f-da17-410c-8f3b-af8617a87e51"; #TODO
    fsType = "btrfs";
    options = ["subvol=nix"];
  };

  swapDevices = [{device = "/dev/disk/by-uuid/";}]; #TODO

  nix.settings.max-jobs = lib.mkDefault 4;

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
}
